Bug 1312517 - ejabberd-16.03 is available
ejabberd-16.03 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 1304906 1315134 1316762 1316767 1316772 1317182 1317183 1317184 1317336 1317341 1317345 1329441
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 19:14 EST by Upstream Release Monitoring
Modified: 2016-04-24 18:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: ejabberd-16.03-1.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-24 18:53:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 16.02 (#1312517) (971 bytes, patch)
2016-02-26 19:15 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (9.23 KB, patch)
2016-03-30 08:15 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-02-26 19:14:27 EST
Latest upstream release: 16.02
Current version/release in rawhide: 16.01-2.fc24
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-02-26 19:15:02 EST
Created attachment 1130928 [details]
[patch] Update to 16.02 (#1312517)
Comment 2 Upstream Release Monitoring 2016-02-26 19:33:53 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13143355
Comment 3 Randy Barlow 2016-02-28 23:28:48 EST
I came to the unfortunate realization that my p1_iconv and p1_zlib updates changed the app names inside the packages, which causes rebar to consider them unsuitable for ejabberd-16.01. Thus, I believe ejabberd-16.01 has unmet dependencies in Rawhide as of last week. I believe that applying this update will likely resolve that issue.
Comment 4 Upstream Release Monitoring 2016-03-30 08:14:39 EDT
Latest upstream release: 16.03
Current version/release in rawhide: 16.01-2.fc24
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/
Comment 5 Upstream Release Monitoring 2016-03-30 08:15:17 EDT
Patching or scratch build for ejabberd and version 16.01 FAILED.
See for details
Comment 6 Upstream Release Monitoring 2016-03-30 08:15:19 EDT
Created attachment 1141720 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 7 Upstream Release Monitoring 2016-03-30 08:15:21 EDT
Patches were not touched. All were applied properly
Comment 8 Randy Barlow 2016-04-12 17:10:28 EDT
Thanks to all the package reviews from Jeremy and Peter, I've finally been able to get ejabberd-16.02-1.fc25 built in Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13638112

Hopefully 16.03 will be easier.
Comment 9 Upstream Release Monitoring 2016-04-24 15:59:10 EDT
rbarlow's ejabberd-16.03-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=757338

Note You need to log in before you can comment on or make changes to this bug.